#ifndef LED_H
#define LED_H

#include "msp430x552x.h"
#include <signal.h>

typedef unsigned char BYTE;
typedef unsigned int  WORD;

// Die Portadressen liegen jeweils 20h auseinander, klappt sogar mit Port J
#define OUTADDR(hnibble)  (volatile WORD*)(0x202+(((hnibble)&0xF0)<<1))

extern BYTE bitmap[2][2][20][7];	// 2 Ebenen, 2 Zeilen, 20 Zeichen (à 5 Bits), 7 Pixelzeilen = 560 Byte
extern BYTE ch;		// Änderung (Bit 1), Sturz (Bit 0)
#define CH_CHG 2
#define CH_FLP 1


extern WORD text[2][20];	// 2 Zeilen, 20 Zeichen = 80 Byte
extern BYTE attr[2][20];	// Attribut-Bits = 40 Byte
// Blinken
// Intensität HIGH
// Intensität LOW
// unterstrichen
extern BYTE curs[2];		// Kursorposition (x/y, oder Adresse?)
extern BYTE fontsel;
// Bit 0: 0 = 5x6-Font mit Unterlängen, 1 = 5x7-Font ohne Unterlängen
// Bit 1: 0 = ANSI/ISO-Latin1, 1 = HD55780-ROM0
// Bit 2: kyrillisch?

void mkkat();			// Katoden-Array initialisieren
void mkbitmap();		// Bitmap aus Text erstellen
void ledinit();			// Ports initialisieren

extern const BYTE font[256][7];	// ROM-Zeichensatz

#endif
